## eyed3 0.8.8

=== Makefile ===
.PHONY: help build test clean dist install coverage pre-release release \
        docs clean-docs lint tags coverage-view changelog \
        clean-pyc clean-build clean-patch clean-local clean-test-data \
        test-all test-data build-release freeze-release tag-release \
        pypi-release web-release github-release cookiecutter requirements
SRC_DIRS = ./src/eyed3
TEST_DIR = ./src/test
NAME ?= Travis Shirk
EMAIL ?= travis@pobox.com
GITHUB_USER ?= nicfit
GITHUB_REPO ?= eyeD3
PYPI_REPO = pypitest
PROJECT_NAME = $(shell python setup.py --name 2> /dev/null)
VERSION = $(shell python setup.py --version 2> /dev/null)
RELEASE_NAME = $(shell python setup.py --release-name 2> /dev/null)
CHANGELOG = HISTORY.rst
CHANGELOG_HEADER = v${VERSION} ($(shell date --iso-8601))$(if ${RELEASE_NAME}, : ${RELEASE_NAME},)
TEST_DATA = eyeD3-test-data
TEST_DATA_FILE = ${TEST_DATA}.tgz
TEST_DATA_DIR ?= $(shell pwd)/src/test

help:
	@echo "test - run tests quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "clean-docs - remove autogenerating doc artifacts"
	@echo "clean-patch - remove patch artifacts (.rej, .orig)"
	@echo "build - byte-compile python files and generate other build objects"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "test-all - run tests on various Python versions with tox"
	@echo "release - package and upload a release"
	@echo "          PYPI_REPO=[pypitest]|pypi"
	@echo "pre-release - check repo and show version, generate changelog, etc."
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"
	@echo "build - build package source files"
	@echo ""
	@echo "Options:"
	@echo "TEST_PDB - If defined PDB options are added when 'pytest' is invoked"
	@echo "BROWSER - HTML viewer used by docs-view/coverage-view"
	@echo "CC_MERGE - Set to no to disable cookiecutter merging."
	@echo "CC_OPTS - OVerrided the default options (--no-input) with your own."

build:
	python setup.py build

clean: clean-local clean-build clean-pyc clean-test clean-patch clean-docs

clean-local:
	-rm tags
	-rm all.id3 example.id3

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	find . -name '.pytest_cache' -type d -exec rm -rf {} +

clean-patch:
	find . -name '*.rej' -exec rm -f '{}' \;
	find . -name '*.orig' -exec rm -f '{}' \;

lint:
	flake8 $(SRC_DIRS)

_PYTEST_OPTS=
ifdef TEST_PDB
    _PDB_OPTS=--pdb -s
endif
test:
	pytest $(_PYTEST_OPTS) $(_PDB_OPTS) ${TEST_DIR}

test-all:
	tox

test-most:
	tox -e py27,py36

test-data:
	# Move these to eyed3.nicfit.net
	test -f ${TEST_DATA_DIR}/${TEST_DATA_FILE} || \
		wget --quiet "http://nicfit.net/files/${TEST_DATA_FILE}" \
		     -O ${TEST_DATA_DIR}/${TEST_DATA_FILE}
	tar xzf ${TEST_DATA_DIR}/${TEST_DATA_FILE} -C ${TEST_DATA_DIR}
	cd src/test && rm -f ./data && ln -s ${TEST_DATA_DIR}/${TEST_DATA} ./data

clean-test-data:
	-rm src/test/data
	-rm src/test/${TEST_DATA_FILE}

pkg-test-data:
	 tar czf ./build/${TEST_DATA_FILE} -C ./src/test ./eyeD3-test-data

coverage:
	pytest --cov=./src/eyed3 \
           --cov-report=html --cov-report term \
           --cov-config=setup.cfg ${TEST_DIR}

coverage-view: coverage
	${BROWSER} build/tests/coverage/index.html;\

docs:
	rm -f docs/eyed3.rst
	rm -f docs/modules.rst
	sphinx-apidoc -H $(PROJECT_NAME) -V $(VERSION) -o docs/ ${SRC_DIRS}
	$(MAKE) -C docs clean
	etc/mycog.py
	$(MAKE) -C docs html
	-rm example.id3

docs-dist: docs
	test -d dist || mkdir dist
	cd docs/_build && \
	    tar czvf ../../dist/${PROJECT_NAME}-${VERSION}_docs.tar.gz html

docs-view: docs
	$(BROWSER) docs/_build/html/index.html

clean-docs:
	$(MAKE) -C docs clean
	-rm README.html

pre-release: lint test changelog requirements
	@# Keep docs off pre-release target list, else it is pruned during 'release' but
	@# after a clean.
	@$(MAKE) docs
	@echo "VERSION: $(VERSION)"
	$(eval RELEASE_TAG = v${VERSION})
	@echo "RELEASE_TAG: $(RELEASE_TAG)"
	@echo "RELEASE_NAME: $(RELEASE_NAME)"
	check-manifest
	@if git tag -l | grep -E '^$(shell echo $${RELEASE_TAG} | sed 's|\.|.|g')$$' > /dev/null; then \
        echo "Version tag '${RELEASE_TAG}' already exists!"; \
        false; \
    fi
	IFS=$$'\n';\
	for auth in `git authors --list | sed 's/.* <\(.*\)>/\1/'`; do \
		echo "Checking $$auth...";\
		grep "$$auth" AUTHORS.rst || echo "* $$auth" >> AUTHORS.rst;\
	done
	@test -n "${GITHUB_USER}" || (echo "GITHUB_USER not set, needed for github" && false)
	@test -n "${GITHUB_TOKEN}" || (echo "GITHUB_TOKEN not set, needed for github" && false)
	@github-release --version    # Just a exe existence check
	@git status -s -b

requirements:
	nicfit requirements
	pip-compile -U requirements.txt -o ./requirements.txt

changelog:
	last=`git tag -l --sort=version:refname | grep '^v[0-9]' | tail -n1`;\
	if ! grep "${CHANGELOG_HEADER}" ${CHANGELOG} > /dev/null; then \
		rm -f ${CHANGELOG}.new; \
		if test -n "$$last"; then \
			gitchangelog --author-format=email \
			             --omit-author="travis@pobox.com" $${last}..HEAD |\
			  sed "s|^%%version%% .*|${CHANGELOG_HEADER}|" |\
			  sed '/^.. :changelog:/ r/dev/stdin' ${CHANGELOG} \
			 > ${CHANGELOG}.new; \
		else \
			cat ${CHANGELOG} |\
			  sed "s/^%%version%% .*/${CHANGELOG_HEADER}/" \
			> ${CHANGELOG}.new;\
		fi; \
		mv ${CHANGELOG}.new ${CHANGELOG}; \
	fi

build-release: test-most dist

freeze-release:
	@(git diff --quiet && git diff --quiet --staged) || \
        (printf "\n!!! Working repo has uncommited/unstaged changes. !!!\n" && \
         printf "\nCommit and try again.\n" && false)

tag-release:
	git tag -a $(RELEASE_TAG) -m "Release $(RELEASE_TAG)"
	git push --tags origin

release: pre-release freeze-release build-release tag-release upload-release

github-release:
	name="${RELEASE_TAG}"; \
    if test -n "${RELEASE_NAME}"; then \
        name="${RELEASE_TAG} (${RELEASE_NAME})"; \
    fi; \
    prerelease=""; \
    if echo "${RELEASE_TAG}" | grep '[^v0-9\.]'; then \
        prerelease="--pre-release"; \
    fi; \
    echo "NAME: $$name"; \
    echo "PRERELEASE: $$prerelease"; \
    github-release --verbose release --user "${GITHUB_USER}" \
                   --repo ${GITHUB_REPO} --tag ${RELEASE_TAG} \
                   --name "$${name}" $${prerelease}
	for file in $$(find dist -type f -exec basename {} \;) ; do \
        echo "Uploading: $$file"; \
        github-release upload --user "${GITHUB_USER}" --repo ${GITHUB_REPO} \
                   --tag ${RELEASE_TAG} --name $${file} --file dist/$${file}; \
    done

web-release:
	for f in `find dist -type f`; do \
	    scp -P444 $$f eyed3.nicfit.net:eyeD3-releases/`basename $$f`; \
	done

upload-release: github-release pypi-release web-release

pypi-release:
	for f in `find dist -type f -name ${PROJECT_NAME}-${VERSION}.tar.gz \
              -o -name \*.egg -o -name \*.whl`; do \
        if test -f $$f ; then \
            twine upload -r ${PYPI_REPO} --skip-existing $$f ; \
        fi \
	done

sdist: build
	python setup.py sdist --formats=gztar,zip
	python setup.py bdist_egg
	python setup.py bdist_wheel

dist: clean sdist docs-dist
	@# The cd dist keeps the dist/ prefix out of the md5sum files
	cd dist && \
	for f in $$(ls); do \
		md5sum $${f} > $${f}.md5; \
	done
	ls -l dist

install: clean
	python setup.py install

tags:
	ctags -R ${SRC_DIRS}

README.html: README.rst
	rst2html5.py README.rst >| README.html
	if test -n "${BROWSER}"; then \
		${BROWSER} README.html;\
	fi

CC_MERGE ?= yes
CC_OPTS ?= --no-input
GIT_COMMIT_HOOK = .git/hooks/commit-msg
cookiecutter:
	tmp_d=`mktemp -d`; cc_d=$$tmp_d/eyeD3; \
	if test "${CC_MERGE}" == "no"; then \
		nicfit cookiecutter ${CC_OPTS} "$${tmp_d}"; \
		git -C "$$cc_d" diff; \
		git -C "$$cc_d" status -s -b; \
	else \
		nicfit cookiecutter --merge ${CC_OPTS} "$${tmp_d}" \
		       --extra-merge ${GIT_COMMIT_HOOK} ${GIT_COMMIT_HOOK};\
	fi; \
	rm -rf $$tmp_d

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file ./requirements.txt requirements.txt
#
certifi==2018.10.15       # via requests
chardet==3.0.4            # via requests
grako==3.99.9
idna==2.7                 # via requests
pathlib==1.0.1
pillow==5.3.0
pylast==2.4.0
python-magic==0.4.15
requests==2.20.1
six==1.11.0
urllib3==1.24.1           # via requests

=== debian/changelog ===
eyed3 (0.8.8-1) unstable; urgency=low

  * Update Standards-Version to 4.3.0, no changes needed
  * Use debhelper compatibility version 10, no changes needed
  * Use github as watch url, in order to avoid unsecure protocol

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 23 Dec 2018 19:22:19 +0100

eyed3 (0.8.7-1) unstable; urgency=medium

  * New upstream version
  * Remove unsupported field X-Python-Version from debian/control
  * Update Standards-Version to 4.2.1, no changes needed
  * Include `Suggests` dependencies for art-plugin

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Sun, 16 Sep 2018 13:12:49 +0200

=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
Build-Depends: debhelper (>= 10), dh-python,
               python-all, python-setuptools,
               python3, python3-setuptools
Homepage: http://eyed3.nicfit.net/
Standards-Version: 4.3.0
Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git

Package: python-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-pathlib
Suggests: ${python:Suggests}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 2 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 2 version of the package.


Package: python3-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: ${python3:Suggests}
Provides: ${python:Provides}
Description: Python module for id3-tags manipulation (Python 3 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 3 version of the package.


Package: eyed3
Architecture: all
Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
         ${misc:Depends}, python3-pkg-resources
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=eyed3

py2_dstdir := $(CURDIR)/debian/python-eyed3
py3_dstdir := $(CURDIR)/debian/python3-eyed3
eyed3_dstdir := $(CURDIR)/debian/eyed3


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_python3:
	dh_python3 --suggests-section=art-plugin


override_dh_python2:
	dh_python2 --suggests-section=art-plugin


override_dh_installchangelogs:
	dh_installchangelogs -p eyed3 HISTORY.rst
	dh_installchangelogs -p python3-eyed3 -X history.rst -X HISTORY.rst
	dh_installchangelogs -p python-eyed3 -X history.rst -X HISTORY.rst


override_dh_auto_test:


override_dh_auto_install:
	dh_auto_install
	mkdir -p ${eyed3_dstdir}/usr/bin/
	mv ${py3_dstdir}/usr/bin/eyeD3 ${eyed3_dstdir}/usr/bin/eyeD3
	rm ${py2_dstdir}/usr/bin/eyeD3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/eyed3gp-$1\.tar\.gz/ \
  https://github.com/nicfit/eyeD3/tags .*/v?(\d\S+)\.tar\.gz

## eyed3 0.8.10

=== Makefile ===
--- 
+++ 
@@ -163,7 +163,9 @@
 
 requirements:
 	nicfit requirements
-	pip-compile -U requirements.txt -o ./requirements.txt
+	# XXX: pip-compile disable to support pathlib evironmemt marker, as pip-tools
+	# XXX: loses it. Could come back in future
+	@#pip-compile -U requirements.txt -o ./requirements.txt
 
 changelog:
 	last=`git tag -l --sort=version:refname | grep '^v[0-9]' | tail -n1`;\

=== requirements.txt ===
grako==3.99.9
pathlib; python_version < "3.4"
pillow==5.4.1
pylast ~= 2.0
python-magic==0.4.15
requests==2.21.0
six==1.12.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/eyed3.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/eyed3.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/eyed3"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/eyed3"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
eyed3 (0.8.10-4) unstable; urgency=medium

  * Source only upload, to recover from previous binary upload.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 02 Jun 2021 07:13:19 +0200

eyed3 (0.8.10-3) unstable; urgency=medium

  * Fix autopkgtest generating sometimes output on stderr (Closes: #989356)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Tue, 01 Jun 2021 18:04:57 +0200

eyed3 (0.8.10-2) unstable; urgency=medium

  * Add patch to support pylast 3, backported from upstream
    (Closes: #945371)
  * Fix patch remove-display-plugin to really disable the plugin
    (Closes: #988738)
  * Add more autopkgtests and flag the original ones
    with Restrictions: superficial (Closes: #974444)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Mon, 31 May 2021 15:02:53 +0200

eyed3 (0.8.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936498

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Mar 2020 16:02:56 -0400

eyed3 (0.8.10-1) unstable; urgency=medium

  * New upstream version
    (Closes: #481002)
  * Update Standards-Version to 4.4.0, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Thu, 22 Aug 2019 21:23:37 +0200

=== debian/control ===
Source: eyed3
Section: sound
Priority: optional
Maintainer: Gaetano Guerriero <x.guerriero@tin.it>
Build-Depends: debhelper (>= 10), dh-python,
               python3, python3-setuptools
Homepage: http://eyed3.nicfit.net/
Standards-Version: 4.4.0
Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git

Package: python3-eyed3
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: ${python3:Suggests}
Provides: ${python3:Provides}
Description: Python module for id3-tags manipulation (Python 3 version)
 A Python module for the manipulation of ID3 tags. It supports versions
 1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
 information such as length and bit rate from an MP3 file.
 .
 This is the Python 3 version of the package.


Package: eyed3
Architecture: all
Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
         ${misc:Depends}, python3-pkg-resources
Description: Display and manipulate id3-tags on the command-line
 A command-line editor to add/edit/remove ID3-tags on mp3 files.
 It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.
 Additionally it displays several information about the file
 such as length and bitrate from an MP3 file.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?([\d\.]+)\.tar\.gz/eyed3-$1\.tar\.gz/ \
  https://github.com/nicfit/eyeD3/tags .*/v?([\d\.]+)\.tar\.gz

## eyed3 0.9.7

=== Makefile ===
## User settings
PYTEST_ARGS ?= ./tests
PYPI_REPO ?= pypi
BUMP ?= prerelease
TEST_DATA_DIR ?= $(shell pwd)/tests
CC_MERGE ?= yes
CC_OPTS ?= --no-input

ifdef TERM
BOLD_COLOR = $(shell tput bold)
HELP_COLOR = $(shell tput setaf 6)
HEADER_COLOR = $(BOLD_COLOR)$(shell tput setaf 2)
NO_COLOR = $(shell tput sgr0)
endif

## Defaults

help:  ## List all commands
	@printf "\n$(BOLD_COLOR)***** eyeD3 Makefile help *****$(NO_COLOR)\n"
	@# This code borrowed from https://github.com/jedie/poetry-publish/blob/master/Makefile
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z0-9 -]+:.*?## / {printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n", $$1, $$2}' $(MAKEFILE_LIST)
	@echo ""
	@printf "$(BOLD_COLOR)Options:$(NO_COLOR)\n"
	@printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n" PYTEST_ARGS "If defined PDB options are added when 'pytest' is invoked"
	@printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n" PYPI_REPO "The package index to publish, 'pypi' by default."
	@printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n" BROWSER "HTML viewer used by docs-view/coverage-view"
	@printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n" CC_MERGE "Set to no to disable cookiecutter merging."
	@printf "$(HELP_COLOR)%-20s$(NO_COLOR) %s\n" CC_OPTS "OVerrided the default options (--no-input) with your own."
	@echo ""


all: build test  ## Build and test


## Config
PROJECT_NAME = $(shell python setup.py --name 2> /dev/null)
VERSION = $(shell python setup.py --version 2> /dev/null)
SRC_DIRS = ./eyed3
ABOUT_PY = eyed3/__regarding__.py
GITHUB_USER = nicfit
GITHUB_REPO = eyeD3
RELEASE_NAME = $(shell sed -n "s/^release_name = \"\(.*\)\"/\1/p" pyproject.toml)
RELEASE_TAG = v$(VERSION)
CHANGELOG = HISTORY.rst
CHANGELOG_HEADER = v${VERSION} ($(shell date --iso-8601))$(if ${RELEASE_NAME}, : ${RELEASE_NAME},)
TEST_DATA = eyeD3-test-data
TEST_DATA_FILE = ${TEST_DATA}.tgz


## Build
.PHONY: build
build: $(ABOUT_PY) setup.py  ## Build the project

setup.py: pyproject.toml poetry.lock
	poetry2setup >| setup.py

$(ABOUT_PY): pyproject.toml
	regarding -o $@

# Note, this clean rule is NOT to be called as part of `clean`
clean-autogen:
	-rm $(ABOUT_PY) setup.py


## Clean
clean: clean-test clean-dist clean-local clean-docs  # Clean the project
	rm -rf ./build
	rm -rf eye{d,D}3.egg-info
	rm -fr .eggs/
	find . -name '*.egg' -exec rm -f {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-local:
	-rm tags
	-rm all.id3 example.id3
	find . -name '*.rej' -exec rm -f '{}' \;
	find . -name '*.orig' -exec rm -f '{}' \;
	find . -type f -name '*~' | xargs -r rm


## Test
.PHONY: test
test:  ## Run tests with default python
	pytest $(PYTEST_ARGS)

test-all:  ## Run tests with all supported versions of Python
	tox --parallel=all $(PYTEST_ARGS)

test-data:
	# Move these to eyed3.nicfit.net
	test -f ${TEST_DATA_DIR}/${TEST_DATA_FILE} || \
		wget --quiet "http://eyed3.nicfit.net/releases/${TEST_DATA_FILE}" \
		     -O ${TEST_DATA_DIR}/${TEST_DATA_FILE}
	tar xzf ${TEST_DATA_DIR}/${TEST_DATA_FILE} -C ${TEST_DATA_DIR}
	cd tests && rm -f ./data && ln -s ${TEST_DATA_DIR}/${TEST_DATA} ./data

clean-test:
	rm -fr .tox/
	rm -f .coverage
	find . -name '.pytest_cache' -type d -exec rm -rf {} +
	-rm .testmondata
	-rm examples/*.id3

clean-test-data:
	-rm tests/data
	-rm tests/${TEST_DATA_FILE}

pkg-test-data:
	test -d build || mkdir build
	tar czf ./build/${TEST_DATA_FILE} -h --exclude-vcs -C ./tests \
		    ./eyeD3-test-data

publish-test-data: pkg-test-data
	scp ./build/${TEST_DATA_FILE} eyed3.nicfit.net:./data1/eyeD3-releases/

coverage:
	coverage run --source $(SRC_DIRS) -m pytest $(PYTEST_ARGS)
	coverage report
	coverage html

coverage-view:
	@if [ ! -f build/tests/coverage/index.html ]; then \
		${MAKE} coverage; \
	fi
	@${BROWSER} build/tests/coverage/index.html


## Documentation
.PHONY: docs
docs:  ## Generate project documentation with Sphinx
	rm -f docs/eyed3.rst
	rm -f docs/modules.rst
	sphinx-apidoc --force -H "$(shell echo $(PROJECT_NAME) | tr '[:upper:]' '[:lower:]') module" -V $(VERSION) -o docs/ ${SRC_DIRS}
	$(MAKE) -C docs clean
	etc/mycog.py
	$(MAKE) -C docs html
	-rm example.id3

docs-dist: docs
	test -d dist || mkdir dist
	cd docs/_build && \
	    tar czvf ../../dist/${PROJECT_NAME}-${VERSION}_docs.tar.gz html

docs-view: docs
	$(BROWSER) docs/_build/html/index.html

clean-docs:
	$(MAKE) -C docs clean
	-rm README.html


lint:  ## Check coding style
	flake8 $(SRC_DIRS)


## Distribute
.PHONY: dist
dist: clean sdist bdist docs-dist  ## Create source and binary distribution files
	@# The cd dist keeps the dist/ prefix out of the md5sum files
	@cd dist && \
	for f in $$(ls); do \
		md5sum $${f} > $${f}.md5; \
	done
	@ls dist

sdist: build
	poetry build --format sdist

bdist: build
	poetry build --format wheel

clean-dist:  ## Clean distribution artifacts (included in `clean`)
	rm -rf dist

check-manifest:
	check-manifest

_check-version-tag:
	@if git tag -l | grep -E '^$(shell echo ${RELEASE_TAG} | sed 's|\.|.|g')$$' > /dev/null; then \
        echo "Version tag '${RELEASE_TAG}' already exists!"; \
        false; \
    fi

authors:
	@git authors --list | while read auth ; do \
  		email=`echo "$$auth" | awk 'match($$0, /.*<(.*)>/, m)  {print m[1]}'`;\
		echo "Checking $$email...";\
  		if echo "$$email" | grep -v 'users.noreply.github.com'\
  		                  | grep -v 'github-bot@pyup.io' \
  		                  > /dev/null ; then \
			grep "$$email" AUTHORS.rst > /dev/null || echo "  * $$auth" >> AUTHORS.rst;\
		fi;\
	done


## Install
install:  ## Install project and dependencies
	poetry install --only main

install-dev:  ## Install project, dependencies, and developer tools
	poetry install --all-extras


## Release
release: pre-release clean install-dev \
         _freeze-release dist _tag-release \
          upload-release

pre-release: clean-autogen build _check-version-tag \
	         check-manifest authors changelog test-all
	@# Keep docs off pre-release target list, else it is pruned during 'release' but
	@# after a clean.
	@$(MAKE) docs
	@test -n "${GITHUB_USER}" || (echo "GITHUB_USER not set, needed for github" && false)
	@test -n "${GITHUB_TOKEN}" || (echo "GITHUB_TOKEN not set, needed for github" && false)
	@github-release --version    # Just a exe existence check
	@git status -s -b

bump-release: requirements
	@# TODO: is not a pre-release, clear release_name
	poetry version $(BUMP)

.PHONY: requirements
requirements:
	poetry show --outdated
	poetry update --lock
	poetry export -f requirements.txt --without-hashes\
		--output requirements/requirements.txt
	poetry export -f requirements.txt --without-hashes\
 		--output requirements/test-requirements.txt -E test
	poetry export -f requirements.txt --without-hashes --output requirements/dev-requirements.txt --with dev
	poetry export -f requirements.txt --without-hashes\
 		--output requirements/extra-requirements.txt \
		-E art-plugin -E yaml-plugin
	$(MAKE) build

upload-release: _pypi-release _github-release _web-release

_pypi-release:
	poetry publish -r ${PYPI_REPO}

_github-release:
	name="${RELEASE_TAG}"; \
    if test -n "${RELEASE_NAME}"; then \
        name="${RELEASE_TAG} (${RELEASE_NAME})"; \
    fi; \
    prerelease=""; \
    if echo "${RELEASE_TAG}" | grep '[^v0-9\.]'; then \
        prerelease="--pre-release"; \
    fi; \
    echo "NAME: $$name"; \
    echo "PRERELEASE: $$prerelease"; \
    github-release --verbose release --user "${GITHUB_USER}" \
                   --repo ${GITHUB_REPO} --tag ${RELEASE_TAG} \
                   --name "$${name}" $${prerelease}
	for file in $$(find dist -type f -exec basename {} \;) ; do \
        echo "Uploading: $$file"; \
        github-release upload --user "${GITHUB_USER}" --repo ${GITHUB_REPO} \
                   --tag ${RELEASE_TAG} --name $${file} --file dist/$${file}; \
    done

_web-release:
	for f in `find dist -type f`; do \
	    scp $$f eyed3.nicfit.net:./data1/eyeD3-releases/`basename $$f`; \
	done

_freeze-release:
	@(git diff --quiet && git diff --quiet --staged) || \
        (printf "\n!!! Working repo has uncommitted/un-staged changes. !!!\n" && \
         printf "\nCommit and try again.\n" && false)

_tag-release:
	git tag -a $(RELEASE_TAG) -m "Release $(RELEASE_TAG)"
	git push --tags origin

changelog:
	@last=`git tag -l --sort=version:refname | grep '^v[0-9]' | tail -n1`;\
	if ! grep "${CHANGELOG_HEADER}" ${CHANGELOG} > /dev/null; then \
		rm -f ${CHANGELOG}.new; \
		if test -n "$$last"; then \
			gitchangelog --author-format=email \
			             --omit-author="travis@pobox.com" $${last}..HEAD |\
			  sed "s|^%%version%% .*|${CHANGELOG_HEADER}|" |\
			  sed '/^.. :changelog:/ r/dev/stdin' ${CHANGELOG} \
			 > ${CHANGELOG}.new; \
		else \
			cat ${CHANGELOG} |\
			  sed "s/^%%version%% .*/${CHANGELOG_HEADER}/" \
			> ${CHANGELOG}.new;\
		fi; \
		mv ${CHANGELOG}.new ${CHANGELOG}; \
	fi


## MISC
README.html: README.rst
	rst2html5.py README.rst >| README.html
	if test -n "${BROWSER}"; then \
		${BROWSER} README.html;\
	fi

GIT_COMMIT_HOOK = .git/hooks/commit-msg
cookiecutter:
	tmp_d=`mktemp -d`; cc_d=$$tmp_d/eyeD3; \
	if test "${CC_MERGE}" = "no"; then \
		nicfit cookiecutter ${CC_OPTS} "$${tmp_d}"; \
		git -C "$$cc_d" diff; \
		git -C "$$cc_d" status -s -b; \
	else \
		nicfit cookiecutter --merge ${CC_OPTS} "$${tmp_d}" \
		       --extra-merge ${GIT_COMMIT_HOOK} ${GIT_COMMIT_HOOK};\
	fi; \
	rm -rf $$tmp_d

## Runtime environment
venv:
	source /usr/bin/virtualenvwrapper.sh && \
 		mkvirtualenv eyeD3 && \
 		pip install -U pip && \
		poetry install --no-dev

clean-venv:
	source /usr/bin/virtualenvwrapper.sh && \
 		rmvirtualenv eyeD3

=== requirements/requirements.txt ===
certifi==2022.9.24 ; python_version >= "3.7" and python_version < "4"
charset-normalizer==2.1.1 ; python_version >= "3.7" and python_version < "4"
deprecation==2.1.0 ; python_version >= "3.7" and python_version < "4.0"
filetype==1.1.0 ; python_version >= "3.7" and python_version < "4.0"
idna==3.4 ; python_version >= "3.7" and python_version < "4"
packaging==21.3 ; python_version >= "3.7" and python_version < "4.0"
pyparsing==3.0.9 ; python_version >= "3.7" and python_version < "4.0"
requests==2.28.1 ; python_version >= "3.7" and python_version < "4"
urllib3==1.26.12 ; python_version >= "3.7" and python_version < "4"

=== debian/changelog ===
eyed3 (0.9.7-2) unstable; urgency=medium

  * Update Standards-Version to 4.7.0, no changes needed
  * Remove unneeded dependency on python3-pkg-resources
    (Closes: #1083381)

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Fri, 11 Oct 2024 23:19:01 +0200

eyed3 (0.9.7-1) unstable; urgency=low

  * New upstream version
    (Closes: #1009695)
  * Drop patch support-debian-python-magic
    python `magic` module in debian is now the same as pypi python-magic used
    upstream
  * Drop patch support-pylast-3
    python pylast 4 is now supported upstream
  * Drop patch remove-display-plugin
    Plugin has been removed upstream
  * Update Standards-Version to 4.6.1, no changes needed

  * Upload sponsored by Petter Reinholdtsen.

 -- Gaetano Guerriero <x.guerriero@tin.it>  Wed, 15 Feb 2023 08:21:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 10), dh-python,
                python3, python3-setuptools
 Homepage: http://eyed3.nicfit.net/
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://github.com/gaetano-guerriero/eyeD3-debian
 Vcs-Git: https://github.com/gaetano-guerriero/eyeD3-debian.git
 
@@ -14,7 +14,6 @@
 Section: python
 Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: ${python3:Suggests}
-Provides: ${python3:Provides}
 Description: Python module for id3-tags manipulation (Python 3 version)
  A Python module for the manipulation of ID3 tags. It supports versions
  1.0, 1.1, 2.3, and 2.4 of the ID3 standard. It can also retrieve
@@ -26,7 +25,7 @@
 Package: eyed3
 Architecture: all
 Depends: python3-eyed3 (= ${source:Version}), ${python3:Depends},
-         ${misc:Depends}, python3-pkg-resources
+         ${misc:Depends}
 Description: Display and manipulate id3-tags on the command-line
  A command-line editor to add/edit/remove ID3-tags on mp3 files.
  It supports version 1.0,1.1,2.3 and 2.4 of the ID3 standard.

=== debian/watch ===
